#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gtk/gtk.h>
#include <svn_client.h>

#include "subview.h"

void checkout(GtkMenuItem *menuitem, gpointer data)
{
	GtkWidget *dialog;
	char *dirname = NULL;

	dialog = gtk_file_chooser_dialog_new(_("Select a directory for the new working copy"),
					GTK_WINDOW(data),
					GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER,
					GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
					_("Checkout"), GTK_RESPONSE_ACCEPT,
					NULL);

	while(!dirname)
	{
		if (gtk_dialog_run (GTK_DIALOG (dialog)) != GTK_RESPONSE_ACCEPT)
			break;

		GDir *dir;
		GError *err = NULL;
		char *errmsg = NULL;

		dirname = gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (dialog));

		dir = g_dir_open(dirname, 0, &err);
		
		if(err)
		{
			errmsg = g_strdup(err->message);
			g_error_free(err);
		} else
		{
			if(g_dir_read_name(dir))
				errmsg = g_strdup(_("Target directory is not empty!"));
			g_dir_close(dir);
		}
		
		if(errmsg)
		{
			GtkWidget *ed = gtk_message_dialog_new(GTK_WINDOW(dialog),
				GTK_DIALOG_DESTROY_WITH_PARENT,
				GTK_MESSAGE_ERROR,
				GTK_BUTTONS_CLOSE,
				"%s", errmsg);
			gtk_dialog_run(GTK_DIALOG (ed));
			gtk_widget_destroy (ed);
			g_free(errmsg);
			g_free(dirname);
			dirname = NULL;
		}
	}
	gtk_widget_destroy(dialog);

	if(dirname)
	{
		// hacer cosas
	
		g_free(dirname);
	}
}
