#ifndef SUBVIEW_H_
#define SUBVIEW_H_

#include "gettext.h"

typedef enum {
	op_get_root,
	op_get_dir,
	op_log
} op_t;

extern svn_client_ctx_t *ctx;
extern GThreadPool *thread_pool;
extern svn_opt_revision_t HEAD;

typedef struct {
	op_t operation;
	char *url;
	GtkTreeIter where;
	struct browse_window *x;
	struct log_window *y;
	int model_number;
	GtkWidget *window;
} work_t;

void show_log(GtkMenuItem *menuitem, gpointer data);
void checkout(GtkMenuItem *menuitem, gpointer data);
void get_log(work_t *work);
char *get_date_string(apr_time_t t);

#define _(x) gettext(x)

#endif /*SUBVIEW_H_*/
